import { jsx as s } from "react/jsx-runtime";
import { s as c } from "./index-T-3isYi5.js";
import { A as u } from "./AppCard-JgJMoBtw.js";
import { u as l } from "./useIsAppEnabled-SudDKIHz.js";
import A from "./EventTypeAppSettingsInterface-gOncThHm.js";
const I = function({
  app: t,
  eventType: e,
  onAppInstallSuccess: a
}) {
  var p;
  const { getAppData: r, setAppData: n, disabled: o } = c(), { enabled: i, updateEnabled: d } = l(t);
  return /* @__PURE__ */ s(
    u,
    {
      onAppInstallSuccess: a,
      hideSettingsIcon: !0,
      app: t,
      switchOnClick: (m) => {
        d(m);
      },
      switchChecked: i,
      teamId: ((p = e.team) == null ? void 0 : p.id) || void 0,
      children: /* @__PURE__ */ s(
        A,
        {
          eventType: e,
          slug: t.slug,
          disabled: o,
          getAppData: r,
          setAppData: n
        }
      )
    }
  );
};
export {
  I as default
};
